﻿body {
    padding-bottom: 20px;
}

/* Set padding to keep content from hitting the edges */
.body-content {
    padding-left: 15px;
    padding-right: 15px;
}

/* Override the default bootstrap behavior where horizontal description lists 
   will truncate terms that are too long to fit in the left column 
*/
.dl-horizontal dt {
    white-space: normal;
}

/* Set width on the form input elements since they're 100% wide by default */
input, select, textarea {
    max-width: 800px;
}

/* Fonts */
@font-face {
    font-family: rbnoBlack;
    src: url(/Content/fonts/rbno3.1-black-webfont.woff);
    
	src: url('/Content/fonts/rbno3.1-black-webfont.eot');
    src: url('/Content/fonts/rbno3.1-black-webfont.eot?#iefix') format('embedded-opentype'),
         url('/Content/fonts/rbno3.1-black-webfont.woff') format('woff'),
         url('/Content/fonts/rbno3.1-black-webfont.ttf')  format('truetype'),
         url('/Content/fonts/rbno3.1-black-webfont.svg') format('svg');
}

@font-face {
    font-family: rbnoBook;
    src: url('/Content/fonts/rbno3.1-book-webfont.eot');
    src: url('/Content/fonts/rbno3.1-book-webfont.eot?#iefix') format('embedded-opentype'),
         url('/Content/fonts/rbno3.1-book-webfont.woff') format('woff'),
         url('/Content/fonts/rbno3.1-book-webfont.ttf')  format('truetype'),
         url('/Content/fonts/rbno3.1-book-webfont.svg') format('svg');
}

.rbnoblack {
	font-family: rbnoBlack;
}	

.rbnobook {
	font-family: rbnoBook;
}

/* Forms */
textarea.form-control {
	resize: vertical;
	min-height: 75px;
}

/* Menu */
.podmeni .list-group-item {
	background-color: #eee !important;
}

.pointer {
	cursor: pointer;
}

/* Tables */
#sdn_headers {
	width: 100%!important;
}

div.ui-iggrid .ui-iggrid-toolbar, div.ui-iggrid .ui-iggrid-footer {
	color: #fff;
	font-weight: bold;
	background-color: #00376f;
}

div.ui-iggrid th.ui-iggrid-header {
	background-color: #888;
}

/* Views */
.viewactions {
	margin: 10px 0;
	text-align: right;
}

.modal {
	padding:0 !important;
}

.modal-full {
	width: 95% !important;
}

table.ui-iggrid-table {
	width: 100% !important;
}

#sidebar-menu .glyphicon, #top-menu .dropdown-menu .glyphicon {
	padding-right: 10px;
}

.noselect {
	-webkit-user-select: none;
	-khtml-user-select: none;
	-moz-user-select: none;
	-o-user-select: none;
	user-select: none;
}

/* Loading icon */
.loading {
	width: 250px;
	height: 250px;
	margin: 50px auto;
	border: 24px solid #eee;
	border-top: 24px solid #00376f;
	border-radius: 50%;
	-webkit-animation: spin 2s linear infinite;
	animation: spin 2s linear infinite;
}

@-webkit-keyframes spin {
	0% {-webkit-transform: rotate(0deg);}
	100% {-webkit-transform: rotate(360deg);}
}

@keyframes spin {
  0% {transform: rotate(0deg);}
  100% {transform: rotate(360deg);}
}

.table-filters {
	float: left;
	padding: 3px;
	margin-left: -6px;
}

.table-filters .filter-float {
	position: relative;
	float: left;
	margin: 3px 13px 3px 3px;
}

.table-filters input {
	display: inline-block;
	width: auto;
}

.table-filters .btn-search {
	margin-left: -2px;
	margin-top: -2px;
}

/* Menu */
#menu-toggle-button {
	margin: 10px 0;
}

.hidden-menu {
	width: 0;
	display: none;
}

#column-body {
	margin-bottom: 100px;
}
